Download TLS certificate
GET /tls/certificate/{certificate_id}/download/{format}Operation ID: DownloadCertificate
Download the issued TLS certificate either as PEM text or as a ZIP bundle.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
certificate_id |
tlsCertificateId | yes | — |
format |
tlsCertificateDownloadFormat | yes | — |
Responses
Section titled “Responses”| Status | Type | Description |
|---|---|---|
200 |
string |
TLS certificate payload |
400 |
Error |
Invalid request |
401 |
Error |
Unauthorized |
404 |
Error |
TLS certificate not found |
409 |
Error |
The requested certificate artifact is not available yet |
500 |
Error |
Unexpected error |
502 |
Error |
Upstream TLS provider error |
Example
Section titled “Example”curl -X GET "https://api.regfish.com/tls/certificate/<certificate_id>/download/<format>" \ -H "x-api-key: $REGFISH_API_KEY"Build a request
Section titled “Build a request”Fill in values — the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.